Skip to main content
GET
/
v1
/
chats
List chats
curl --request GET \
  --url https://api.messages.dev/v1/chats \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "line_id": "<string>",
      "identifier": "<string>",
      "service": "<string>",
      "name": "<string>",
      "is_group": true,
      "participants": [
        "<string>"
      ],
      "has_received_inbound": true,
      "last_message_at": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Query Parameters

from
string
required

Line handle (phone number or Apple ID)

Example:

"+15551234567"

limit
integer
default:50

Maximum number of items to return (1-100, default: 50)

Required range: 1 <= x <= 100
cursor
string

Opaque cursor for pagination. Use the next_cursor value from a previous response.

Response

List of chats

data
object[]
has_more
boolean

Whether more items exist beyond this page

next_cursor
string | null

Cursor to pass as cursor query parameter for the next page

request_id
string